Package org.springframework.core.io.support

# Class ResourcePatternUtils

java.lang.Object
org.springframework.core.io.support.ResourcePatternUtils

public abstract class ResourcePatternUtils extends Object
Utility class for determining whether a given URL is a resource location that can be loaded via a `ResourcePatternResolver`.

Callers will usually assume that a location is a relative path if the `isUrl(String)` method returns `false`.

Since:
  1.2.3
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ResourcePatternUtils()`

## Method Summary

Modifier and Type
Method
Description
`static ResourcePatternResolver`
`getResourcePatternResolver(ResourceLoader resourceLoader)`
Return a default `ResourcePatternResolver` for the given `ResourceLoader`.
`static boolean`
`isUrl(String resourceLocation)`
Return whether the given resource location is a URL: either a special "classpath" or "classpath*" pseudo URL or a standard URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourcePatternUtils

public ResourcePatternUtils()

## Method Details

### isUrl

public static boolean isUrl(@Nullable String resourceLocation)
Return whether the given resource location is a URL: either a special "classpath" or "classpath*" pseudo URL or a standard URL.

Parameters:
  `resourceLocation` - the location String to check
Returns:
  whether the location qualifies as a URL
See Also:
  - `ResourcePatternResolver.CLASSPATH_ALL_URL_PREFIX`
  - `ResourceUtils.CLASSPATH_URL_PREFIX`
  - `ResourceUtils.isUrl(String)`
  - `URL`

### getResourcePatternResolver

public static ResourcePatternResolver getResourcePatternResolver(@Nullable ResourceLoader resourceLoader)
Return a default `ResourcePatternResolver` for the given `ResourceLoader`.

This might be the `ResourceLoader` itself, if it implements the `ResourcePatternResolver` extension, or a default `PathMatchingResourcePatternResolver` built on the given `ResourceLoader`.

Parameters:
  `resourceLoader` - the ResourceLoader to build a pattern resolver for (may be `null` to indicate a default ResourceLoader)
Returns:
  the ResourcePatternResolver
See Also:
  - `PathMatchingResourcePatternResolver`